Bug 1498417 - [WARNING]: when statements should not include jinja2 templating delimiters
Summary: [WARNING]: when statements should not include jinja2 templating delimiters
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-validations
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: Upstream M3
: 13.0 (Queens)
Assignee: Florian Fuchs
QA Contact: Udi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-04 09:29 UTC by Gaël Chamoulaud
Modified: 2018-06-27 13:38 UTC (History)
6 users (show)

Fixed In Version: openstack-tripleo-validations-8.4.0-1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:37:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1721213 None None None 2017-10-04 09:29:20 UTC
OpenStack gerrit 484867 None master: MERGED tripleo-validations: Remove syntax warnings for when statements (I58657253bdc46e90eec6dea7ea5e07a2bf6c466e) 2018-03-29 16:16:22 UTC
OpenStack gerrit 510042 None stable/pike: MERGED tripleo-validations: Remove syntax warnings for when statements (I58657253bdc46e90eec6dea7ea5e07a2bf6c466e) 2018-03-29 16:16:15 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:38:54 UTC

Description Gaël Chamoulaud 2017-10-04 09:29:21 UTC
Ansible>=2.3.0 will output warnings if `when` statements contain jinja2 templating delimiters such as curly braces (the playbooks are executing fine, despite the warnings).

Exemples:
https://ci.centos.org/artifacts/rdo/jenkins-tripleo-quickstart-extras-gate-newton-delorean-full-minimal-2319/undercloud/home/stack/run_preintro_validations_negative_tests.log.gz

Comment 1 Gaël Chamoulaud 2017-10-04 09:33:23 UTC
A patch has been pushed to the upstream openstack gerrit by Florian. Just created the bug here for tracking potential backport.

Comment 2 Florian Fuchs 2017-10-06 10:07:57 UTC
Added a backport patch:

  https://review.openstack.org/510042

Comment 6 Udi 2018-04-24 07:05:53 UTC
Verified in: openstack-tripleo-validations-8.4.0-2.el7ost.noarch

Comment 8 errata-xmlrpc 2018-06-27 13:37:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.